Bug 843374 - Error when rhnpushing packes, to check if they're present at server
Error when rhnpushing packes, to check if they're present at server
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-07-26 03:18 EDT by Tomáš Kašpárek
Modified: 2012-11-01 12:18 EDT (History)
0 users

See Also:
Fixed In Version: spacewalk-schema-1.8.70-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:18:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Kašpárek 2012-07-26 03:18:13 EDT
Description of problem:
After pushing contents of fedora17/Packages to my custom channel I decided to repeat this process once more time, just to check if all packages have been successfully pushed. Error is shown at Additional info section

Version-Release number of selected component (if applicable):
Spacewalk 1.8 (Nightly)

How reproducible:
Seems as random bug for me, but I when I was repeating this process once more (to see if error message is gone) I still got error messages at exactly same point.

Steps to Reproduce:
1. Upload some packages to custom channel.
2. Try to push these packages one more time.
  
Actual results:
Error message shown bellow.
Error Message:
    ORA-00001: unique constraint (SPACEUSER.RHN_CNP_CID_NID_UQ) violated
ORA-06512: at "SPACEUSER.RHN_CHANNEL", line 1096
ORA-06512: at line 1
Error Class Code: 23
Error Class Info: Could not update database entry.


Expected results:
No error
Comment 1 Michael Mráka 2012-08-10 08:14:45 EDT
Reproducer:
- have an rpm package
- create a copy and sign it with different key
- push both packages (the same NEVRA but different checksum) into a channel
Comment 2 Michael Mráka 2012-08-10 08:17:13 EDT
Fixed in spacewalk master
commit ad4647ef6281e83fa27d5ca0c4850a7365461f24
    843374 - fixed subquery in FROM must have an alias
commit 342fda667bf9eaa6c04458958954c49ab6abebd7
    843374 - upgrade script for rhnChannelNewestPackageView
commit a4505264511ff975fa64599ed04789300d47fdf2
    fixed indentation
commit e8cb44dfbf3d9f5cd6d673335cc932894d5cabf3
    843374 - make list of newest packages unique
    there can be two packages with the same NEVRA but different checksum
Comment 3 Jan Pazdziora 2012-10-30 15:23:05 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 4 Jan Pazdziora 2012-11-01 12:18:10 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.